:root {
    --bootstrap-color-primary: #0d6efd;
}

html,
body {
    overflow: hidden;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    color: white;
}

/* Container must fill the page */
#container {
    width: 100%;
    height: 100%;
    position: relative;
    padding: 0%;
}

/* Rows are placed at the bottom */
#container .row {
    width: 100%;
    position: absolute;
    bottom: 0;
}

/* Columns are placed at the bottom and can't take more than 20% of the page in
height */
#container .col {
    width: 100%;
    height: 20%;
    position: absolute;
    bottom: 0;
}

#renderCanvas,
.overlay {
    position: absolute;
}

/* The render canvas must be placed below the overlay (the UI) */
#renderCanvas {
    z-index: 9;
    width: 100%;
    height: 100%;
    touch-action: none;
}

/* Overlay above the canvas */
.overlay {
    z-index: 10;
}

.controls {
    position: relative;
}

.bi.exo-icon {
    aspect-ratio: 1 / 1; /* stylelint-disable-line property-no-unknown */
}

.exo-icon {
    text-align: center;
    height: 1.5em;
}

/* BLACKMAGIC: aligns custom and non-custom icons on the same line of buttons */
.btn {
    display: inline-grid;
}

.icon-custom {
    background-color: var(--bootstrap-color-primary);
    mask-size: cover;
    -webkit-mask-size: cover;
    background-position: center center;
    display: inline-block;
}

input:checked + label > i.icon-custom {
    background-color: white;
}

input:hover + label > i.icon-custom {
    background-color: white;
}

#uiControls,
#uiInfos {
    width: 20%;
    max-width: 300px;
    min-width: 170px;
    opacity: 0.9;
    z-index: 10;
    max-height: 90%;
    overflow-y: auto;
    overflow-x: hidden;
    -webkit-overflow-scrolling: touch;
}

#uiInfos {
    right: 10px;
}

#bi-fast-fast-forwad-fill {
    margin-left: 4px;
}

#bi-fast-forward-fill-part-of-fast-fast {
    margin-right: -4px;
}

#speed-relatve-planets {
    position: relative;
}

#speed-relatve-planets input[type="range"] {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 18px;
    border-radius: 9px;
    outline: none;
    /*border: 1.5px solid #4a4a4a;*/
    cursor: pointer;
    background: #f8f9fa;
    position: relative;
    z-index: 2;
}

#speed-relatve-planets input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 25px;
    background: #171717;
    border-radius: 5px;
    border: solid 1px #f8f9fa;
    cursor: pointer;
}

#speed-relatve-planets input[type="range"]::-moz-range-thumb {
    width: 15px;
    height: 25px;
    background: #171717;
    border-radius: 5px;
    border: solid 1px #f8f9fa;
    cursor: pointer;
}

#steps-track {
    display: flex;
    justify-content: space-between;
    margin-top: -27px;
    margin-bottom: 10px;
    z-index: 1;
    pointer-events: none;
}

#steps-track span {
    width: 25px;
    height: 25px;
    border-radius: 20px;
    background: #f8f9fa;
    cursor: none;
}
